 
/****** Object:  View [dbo].[EST_PROD_CPL_TRIB_EST]    Script Date: 06/19/2014 11:10:23 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[EST_PROD_CPL_TRIB_EST]'))
	BEGIN
		DROP VIEW [dbo].[EST_PROD_CPL_TRIB_EST]
	END
	
GO
 
--SELECT TOP 10 * FROM EST_PROD_CPL_TRIB_EST  
CREATE VIEW [dbo].[EST_PROD_CPL_TRIB_EST] AS  
  
SELECT       
	EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.CD_EMP, 
	PRC_REGIAO_FISCAL_PRC_FILIAL.CD_REGIAO_FISCAL,  
	PRC_REGIAO_FISCAL_PRC_FILIAL.CD_FILIAL,   
	EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.CD_PROD,   
	EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.CD_TRIB,   
	EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.TP_MOV,   
	EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.TP_TRANSA,   
	EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_RED,   
	EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.TP_SUBS,   
	EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.VLR_PAUTA_IVA,   
	CASE WHEN (EST_TRIB.SUBS_TRIB_ANT+ EST_TRIB.ISENTO) <> 0 THEN
	0	
	ELSE
		EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_ICMS   
	END AS PERC_ICMS,   
	EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.TP_RED_BASE_IMP,   
	CASE WHEN (EST_TRIB.SUBS_TRIB_ANT+ EST_TRIB.ISENTO) <> 0 THEN
		0	
	ELSE
		EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_ICMS_EST
	END AS PERC_ICMS_EST, 
	EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_RED_SUBS_TRIB,   
	EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_RED_ESTORNO,  
	ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_REPASSE,0) AS PERC_REPASSE,  
	ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_IBPT,0) AS PERC_IBPT,
	EST_TRIB.CD_TRIB_FC,
	ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.CST_PIS,0) AS CST_PIS,
	ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.CST_COFINS,0) AS CST_COFINS,
	ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_PIS,0) AS PERC_PIS,
	ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_COFINS,0) AS PERC_COFINS,
	ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_FECOP,0) AS PERC_FECOP,
	ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_FECOP_ST,0) AS PERC_FECOP_ST,
	ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_ICMS_DESONERADO,0) AS PERC_ICMS_DESONERADO
FROM           
	EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST  
	INNER JOIN PRC_REGIAO_FISCAL_PRC_FILIAL ON  
		EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.CD_EMP = PRC_REGIAO_FISCAL_PRC_FILIAL.CD_EMP AND  
		EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.CD_REGIAO_FISCAL = PRC_REGIAO_FISCAL_PRC_FILIAL.CD_REGIAO_FISCAL  
	INNER JOIN EST_TRIB ON
		EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.CD_TRIB = EST_TRIB.CD_TRIB 
